Source: python-django-rest-framework-guardian
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-django,
 python3-django-guardian,
 python3-djangorestframework,
 python3-setuptools,
Standards-Version: 4.5.0
Homepage: https://github.com/rpkilby/django-rest-framework-guardian/
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-rest-framework-guardian
Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-rest-framework-guardian.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-django-restframework-guardian
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: django-guardian support for Django REST Framework (Python3 version)
 django-rest-framework-guardian provides django-guardian integrations for Django
 REST Framework.
 It provides an ObjectPermissionsFilter to which will ensure that querysets only
 returns objects for which the user has the appropriate view permission and an
 ObjectPermissionsAssignmentMixin that allows permissions to be easily assigned
 to users and/or groups through serializers.
 .
 This package contains the Python 3 version of the library.
